%{?nodejs_find_provides_and_requires}
%global enable_tests 0
%global srcname set-immediate-shim
Name:                nodejs-%{srcname}
Version:             1.0.1
Release:             1
Summary:             Simple setImmediate shim
License:             MIT
URL:                 https://github.com/sindresorhus/set-immediate-shim
Source0:             https://github.com/sindresorhus/set-immediate-shim/archive/v%{version}/set-immediate-shim-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(ava) npm(require-uncached)
%endif
%description
%{summary}.

%prep
%setup -q -n %{srcname}-%{version}
rm -rf node_modules/

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/%{srcname}
%nodejs_symlink_deps
%if 0%{?enable_tests}

%check
%nodejs_symlink_deps --check
node test.js
%endif

%files
%doc readme.md
%license license
%{nodejs_sitelib}/%{srcname}

%changelog
* Fri Aug 21 2020 wangchong <wangchong56@huawei.com> - 1.0.1-1
- package init
